geos::triangulate::polygon::ConstrainedDelaunayTriangulator Class Reference

`#include <ConstrainedDelaunayTriangulator.h>`

## Public Member Functions

| ConstrainedDelaunayTriangulator (const Geometry *p_inputGeom)

## Static Public Member Functions

static std::unique_ptr< Geometry > | triangulate (const Geometry *geom)
static void | triangulatePolygon (const Polygon *poly, TriList< Tri > &triList)

## Detailed Description

Computes the Constrained Delaunay Triangulation of polygons. The Constrained Delaunay Triangulation of a polygon is a set of triangles covering the polygon, with the maximum total interior angle over all possible triangulations. It provides the "best quality" triangulation of the polygon.

Holes are supported.

## Constructor & Destructor Documentation

## ConstrainedDelaunayTriangulator()

geos::triangulate::polygon::ConstrainedDelaunayTriangulator::ConstrainedDelaunayTriangulator | ( | const Geometry * | p_inputGeom | ) |

inline

Constructs a new triangulator.

Parameters

  p_inputGeom | the input geometry

## Member Function Documentation

## triangulate()

std::unique_ptr< Geometry > geos::triangulate::polygon::ConstrainedDelaunayTriangulator::triangulate | ( | const Geometry * | geom | ) |

static

Computes the Constrained Delaunay Triangulation of each polygon element in a geometry.

Parameters

  geom | the input geometry

Returns
  a GeometryCollection of the computed triangle polygons

## triangulatePolygon()

void geos::triangulate::polygon::ConstrainedDelaunayTriangulator::triangulatePolygon | ( | const Polygon * | poly,
|  | TriList< Tri > & | triList )

static

Computes the triangulation of a single polygon and returns it as a list of `geos::triangulate::tri::Tri`s.

Parameters

  poly | the input polygon
  triList | the list to store the triangulation in

The documentation for this class was generated from the following file:

- ConstrainedDelaunayTriangulator.h